#3419 closed enhancement (fixed)

Always build network services (tftpfs, ftpfs, ftpd, telnetd, libdebugger)

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: network/legacy Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Always build network services (tftpfs, ftpfs, ftpd, telnetd, libdebugger) which only depend on the POSIX socket API (provided by Newlib header files) as support libraries. Remove them from libbsd.

The network services must reside in dedicated libraries to avoid a cyclic dependency between libbsd.a and librtemscpu.a.

Change History (16)

comment:1 Changed on May 2, 2018 at 7:59:18 AM by Sebastian Huber <sebastian.huber@…>

In dd8e4b7/rtems:

libdebugger: Move to separate library

Always build remote TCP support since it depends only on the POSIX
socket API. It works with the legacy network stack and libbsd. Move it
to a separate libdebugger.a library to allow an easy use with libbsd via
"-ldebugger -lbsd" otherwise we would have a cyclic dependency between
libbsd.a and librtemscpu.a.

Update #3419.

comment:2 Changed on May 2, 2018 at 7:59:28 AM by Sebastian Huber <sebastian.huber@…>

In c3bab73b/rtems:

tftpfs: Always build TFTP client

Move TFTP client filesystem to separate library libtftpfs.a.
Conditionally use legacy network stack features, e.g. BOOTP support.

Update #3419.

comment:3 Changed on May 2, 2018 at 7:59:39 AM by Sebastian Huber <sebastian.huber@…>

In fea9a7a/rtems:

ftpfs: Always build FTP client

Move FTP client filesystem to separate library libftpfs.a.

Update #3419.

comment:4 Changed on May 2, 2018 at 7:59:49 AM by Sebastian Huber <sebastian.huber@…>

In bf76d5f/rtems:

network: Import latest <arpa/ftp.h> from FreeBSD

Update #3419.

comment:5 Changed on May 2, 2018 at 8:00:00 AM by Sebastian Huber <sebastian.huber@…>

In 4fed5ac/rtems:

ftpd: Fairplay with libbsd

Update #3419.

comment:6 Changed on May 2, 2018 at 8:00:10 AM by Sebastian Huber <sebastian.huber@…>

In 32b5b23/rtems:

ftpd: Use floating-point tasks due to syslog()

Update #3419.

comment:7 Changed on May 2, 2018 at 8:00:20 AM by Sebastian Huber <sebastian.huber@…>

In b771cb4/rtems:

ftpd: Always build FTP daemon

Add support for libbsd initialization.

Update #3419.

comment:8 Changed on May 2, 2018 at 8:00:31 AM by Sebastian Huber <sebastian.huber@…>

In b80b34c3/rtems:

telnetd: Always build telnet daemon

Add support for libbsd initialization.

Update #3419.

comment:9 Changed on May 2, 2018 at 8:00:41 AM by Sebastian Huber <sebastian.huber@…>

In 8d52a0e2/rtems:

telnetd: Use syslog() instead of printk()

Update #3419.

comment:10 Changed on May 2, 2018 at 8:01:29 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 443a058/rtems-libbsd:

Use network services from RTEMS

Close #3419.

comment:11 Changed on May 2, 2018 at 8:37:00 AM by Sebastian Huber <sebastian.huber@…>

In 634b3bf/rtems-libbsd:

rtems-debugger: Remove files

They are now in the main RTEMS sources.

Update #3419.

comment:12 Changed on May 3, 2018 at 2:21:40 AM by Chris Johns

Does this change require user applications update their list of libraries linked to use the services moved to separate libraries?

comment:13 Changed on May 3, 2018 at 5:25:55 AM by Sebastian Huber

Yes, the old network stack already had libftpd.a and libtelnetd.a. In the libbsd it was previously included. The libtftpfs.a and libftpfs.a are new. The debugger support with libdebugger.a will be new in RTEMS 5.1.

comment:14 Changed on May 3, 2018 at 5:39:58 AM by Chris Johns

Thank you. I just wanted this noted for the release notes.

comment:15 Changed on May 4, 2018 at 5:16:48 AM by Christian Mauderer <christian.mauderer@…>

In dd35ec5/rtems-libbsd:

waf: Allow to add libs per test.

Update #3419.

comment:16 Changed on May 8, 2018 at 6:07:02 AM by Sebastian Huber <sebastian.huber@…>

In eaa1709/rtems:

ftpd: Fix infinite recursion in yield()

Update #3419.

Note: See TracTickets for help on using tickets.